summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-accessibility/sphinx3
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-accessibility/sphinx3')
-rw-r--r--app-accessibility/sphinx3/Manifest2
-rw-r--r--app-accessibility/sphinx3/files/sphinx3-0.8-libutil.patch18
-rw-r--r--app-accessibility/sphinx3/files/sphinx3-0.8_heap_fix.patch34
-rw-r--r--app-accessibility/sphinx3/metadata.xml8
-rw-r--r--app-accessibility/sphinx3/sphinx3-0.6.3.ebuild21
-rw-r--r--app-accessibility/sphinx3/sphinx3-0.8-r1.ebuild61
6 files changed, 144 insertions, 0 deletions
diff --git a/app-accessibility/sphinx3/Manifest b/app-accessibility/sphinx3/Manifest
new file mode 100644
index 00000000000..dfce8a07196
--- /dev/null
+++ b/app-accessibility/sphinx3/Manifest
@@ -0,0 +1,2 @@
+DIST sphinx3-0.6.3.tar.gz 26070353 SHA256 f6a070a67d91ccd00dbce7b6cc55242ed7a5ebaae6d6429eb0364657c4056ede SHA512 2f784459a18692594c0834dac1ee814eb663cca1e4b2906d31915f1e518efc83e760f5ae1a15d3b274a8e8e0ffbc43e56bb338f098a8abc304429b4d8262c11e WHIRLPOOL 4ba83a919a57f2c80450fe9b110179403e7e02adc930e749f7c331d393e71ce798cf194a768db7a735a9bc9879bd31294e471f34abc89ab8caa9bde404d2a84f
+DIST sphinx3-0.8.tar.gz 25226326 SHA256 1cf76a086f9b509e35f7226df2e61b0a0bf8b0858b9676e5b18cfc47b2ea2741 SHA512 85b8e574e2f92a758c8c56ef11b873c49ef8a376e964f30a12d75850d4a0db56e3108eaea25fa5587675ef2ffa4531a13f0f182a85cc8e434c6bcee42058e050 WHIRLPOOL 0f3604b4fa320f59e4ee65b79c4a779c48f2822a944b28b85a740826244f5eb7adc072538919c97ebf4eb270660fbe6f5b30b55cc67ec6276358063cf340aa7b
diff --git a/app-accessibility/sphinx3/files/sphinx3-0.8-libutil.patch b/app-accessibility/sphinx3/files/sphinx3-0.8-libutil.patch
new file mode 100644
index 00000000000..0f7733154a5
--- /dev/null
+++ b/app-accessibility/sphinx3/files/sphinx3-0.8-libutil.patch
@@ -0,0 +1,18 @@
+--- src/libs3decoder/libsearch/fsg_history.c
++++ src/libs3decoder/libsearch/fsg_history.c
+@@ -55,7 +55,6 @@
+ #include <kb.h>
+ /*#include <phone.h>*/
+ #include <search.h>
+-#include "libutil.h"
+
+
+ #define __FSG_DBG__ 0
+--- src/libs3decoder/libcfg/s3_cfg_convert.c
++++ src/libs3decoder/libcfg/s3_cfg_convert.c
+@@ -1,5 +1,4 @@
+
+-#include <libutil.h>
+ #include "s3_cfg.h"
+ #include "fsg.h"
+
diff --git a/app-accessibility/sphinx3/files/sphinx3-0.8_heap_fix.patch b/app-accessibility/sphinx3/files/sphinx3-0.8_heap_fix.patch
new file mode 100644
index 00000000000..b7b71d97441
--- /dev/null
+++ b/app-accessibility/sphinx3/files/sphinx3-0.8_heap_fix.patch
@@ -0,0 +1,34 @@
+diff -uNr sphinx3-0.8.orig/python/setup.py sphinx3-0.8/python/setup.py
+--- sphinx3-0.8.orig/python/setup.py 2008-12-31 23:20:08.000000000 -0500
++++ sphinx3-0.8/python/setup.py 2011-11-17 09:46:57.000000000 -0500
+@@ -8,15 +8,10 @@
+ define_macros = []
+
+ module = Extension('_sphinx3',
+- include_dirs = ['../../sphinxbase/include',
+- '../include',
+- '/usr/local/include/sphinxbase/',
+- '/usr/local/include/sphinx3',
+- ],
++ include_dirs = ['../include',
++ '@GENTOO_PORTAGE_EPREFIX@/usr/include/sphinxbase'],
+ define_macros = define_macros,
+- library_dirs = ['../../sphinxbase/src/libsphinxbase/.libs',
+- '../src/libs3decoder/.libs',
+- '../../sphinxbase/lib/debug',
++ library_dirs = ['../src/libs3decoder/.libs',
+ '../lib/debug',
+ ],
+ libraries = ['sphinxbase', 's3decoder'],
+diff -uNr sphinx3-0.8.orig/src/libs3decoder/libsearch/vithist.c sphinx3-0.8/src/libs3decoder/libsearch/vithist.c
+--- sphinx3-0.8.orig/src/libs3decoder/libsearch/vithist.c 2008-12-31 13:27:56.000000000 -0500
++++ sphinx3-0.8/src/libs3decoder/libsearch/vithist.c 2011-11-17 09:46:24.000000000 -0500
+@@ -647,7 +647,7 @@
+ {
+ int32 se, fe, filler_done, th;
+ vithist_entry_t *ve;
+- heap_t h;
++ heap_t *h;
+ s3wid_t *wid;
+ int32 i;
+
diff --git a/app-accessibility/sphinx3/metadata.xml b/app-accessibility/sphinx3/metadata.xml
new file mode 100644
index 00000000000..831e814f076
--- /dev/null
+++ b/app-accessibility/sphinx3/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>accessibility</herd>
+ <upstream>
+ <remote-id type="sourceforge">cmusphinx</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-accessibility/sphinx3/sphinx3-0.6.3.ebuild b/app-accessibility/sphinx3/sphinx3-0.6.3.ebuild
new file mode 100644
index 00000000000..6532801bb45
--- /dev/null
+++ b/app-accessibility/sphinx3/sphinx3-0.6.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="CMU Speech Recognition engine"
+HOMEPAGE="http://fife.speech.cs.cmu.edu/sphinx/"
+SRC_URI="mirror://sourceforge/cmusphinx/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 x86"
+IUSE=""
+
+S=${WORKDIR}/${PN}-${PV:0:3}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog NEWS README
+ cd doc
+ dohtml -r -x CVS s3* s3 *.html
+}
diff --git a/app-accessibility/sphinx3/sphinx3-0.8-r1.ebuild b/app-accessibility/sphinx3/sphinx3-0.8-r1.ebuild
new file mode 100644
index 00000000000..9d8850a100e
--- /dev/null
+++ b/app-accessibility/sphinx3/sphinx3-0.8-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# disable automatic phase exports and deps
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools-utils distutils-r1 prefix eutils
+
+DESCRIPTION="CMU Speech Recognition engine"
+HOMEPAGE="http://cmusphinx.sourceforge.net/"
+SRC_URI="mirror://sourceforge/cmusphinx/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc python static-libs"
+
+RDEPEND=">=app-accessibility/sphinxbase-0.7[static-libs?,python?,${PYTHON_USEDEP}]
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# Due to generated Python setup.py.
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}_heap_fix.patch" \
+ "${FILESDIR}/${P}-libutil.patch"
+ eprefixify 'python/setup.py'
+}
+
+src_compile() {
+ autotools-utils_src_compile
+
+ if use python; then
+ cd python || die
+ distutils-r1_src_compile
+ fi
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog NEWS README )
+ autotools-utils_src_install
+
+ if use doc; then
+ cd doc || die
+ dohtml -r -x CVS s3* s3 *.html
+ fi
+
+ if use python; then
+ unset DOCS
+
+ cd "${S}"/python || die
+ distutils-r1_src_install
+ fi
+}